Get Wallet Report
curl --request GET \
--url https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id/reports \
--header 'x-api-key: <api-key>'import requests
url = "https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id/reports"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"start_date": "2026-06-01T00:00:00Z",
"end_date": "2026-07-01T00:00:00Z",
"total_inflow": 2500000,
"total_outflow": 1000000,
"net_flow": 1500000,
"transaction_count": 12,
"flagged_transactions_count": 0,
"categories": [
{
"category": "School Fees",
"total_amount": 2500000,
"transaction_count": 10
}
],
"daily_flows": [
{
"date": "2026-06-15",
"total_inflow": 500000,
"total_outflow": 0
}
]
}
}
Transactions
Get Wallet Report
Retrieve aggregated insights and flow data for a specific wallet.
GET
/
v1
/
wallets
/
:wallet_id
/
reports
Get Wallet Report
Request Headers
string
required
Your live or test API key.
Path Parameters
string
required
The Avenue wallet ID.
Query Parameters
string
ISO 8601 formatted start date.
string
ISO 8601 formatted end date.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"start_date": "2026-06-01T00:00:00Z",
"end_date": "2026-07-01T00:00:00Z",
"total_inflow": 2500000,
"total_outflow": 1000000,
"net_flow": 1500000,
"transaction_count": 12,
"flagged_transactions_count": 0,
"categories": [
{
"category": "School Fees",
"total_amount": 2500000,
"transaction_count": 10
}
],
"daily_flows": [
{
"date": "2026-06-15",
"total_inflow": 500000,
"total_outflow": 0
}
]
}
}
Was this page helpful?